groovy.util

## Interface ObjectGraphBuilder.IdentifierResolver

All Known Implementing Classes:
  ObjectGraphBuilder.DefaultIdentifierResolver

Enclosing class:
  ObjectGraphBuilder

    public static interface ObjectGraphBuilder.IdentifierResolver

Strategy for picking the correct synthetic identifier.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getIdentifierFor(java.lang.String nodeName)` Returns the name of the property that will identify the node.

### Method Detail

#### getIdentifierFor

    java.lang.String getIdentifierFor(java.lang.String nodeName)

Returns the name of the property that will identify the node.

Parameters:
  `nodeName` - the name of the node